Package ru.bgcrm.plugin.bgbilling.proto.model.cerbercrypt

# Class UserCard

java.lang.Object
org.bgerp.model.base.Id
ru.bgcrm.plugin.bgbilling.proto.model.cerbercrypt.UserCard

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`, `PeriodSet`

public class UserCard extends Id implements PeriodSet

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserCard()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getBaseCardId()`
  `String`
  `getBaseCardTitle()`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `long`
  `getNumber()`
  `Date`
  `getSubscrDate()`
  `boolean`
  `isNeedSync()`
  `void`
  `setBaseCardId(int baseCardId)`
  `void`
  `setBaseCardTitle(String baseCardTitle)`
  `void`
  `setComment(String comment)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setDate1(Date dateFrom)`
  Deprecated.
  `void`
  `setDate2(Date dateTo)`
  Deprecated.
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setNeedSync(boolean needSync)`
  `void`
  `setNumber(long number)`
  `void`
  `setSubscrDate(Date subscribeDate)`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UserCard

    public UserCard()

- ## Method Details

  - ### getBaseCardId

    public int getBaseCardId()

  - ### setBaseCardId

    public void setBaseCardId(int baseCardId)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getNumber

    public long getNumber()

  - ### setNumber

    public void setNumber(long number)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)
    Specified by:
      `setDateFrom` in interface `PeriodSet`

  - ### getDateTo

    public Date getDateTo()

  - ### setDate1

    @Deprecated public void setDate1(Date dateFrom)
    Deprecated.

  - ### setDateTo

    public void setDateTo(Date dateTo)
    Specified by:
      `setDateTo` in interface `PeriodSet`

  - ### setDate2

    @Deprecated public void setDate2(Date dateTo)
    Deprecated.

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getSubscrDate

    public Date getSubscrDate()

  - ### setSubscrDate

    public void setSubscrDate(Date subscribeDate)

  - ### isNeedSync

    public boolean isNeedSync()

  - ### setNeedSync

    public void setNeedSync(boolean needSync)

  - ### getBaseCardTitle

    public String getBaseCardTitle()

  - ### setBaseCardTitle

    public void setBaseCardTitle(String baseCardTitle)